Get project export status
curl --request GET \
--url https://{host}/v1/projects/{projectId}/export/{exportId} \
--header 'x-api-key: <api-key>'{
"success": true,
"data": {
"id": "exp_01JEXPORT123",
"type": "export",
"status": "completed",
"phase": "packaging",
"progressPercent": 100,
"dependencyValidation": {
"valid": true,
"missing": [],
"circular": []
},
"manifest": {
"name": "customer-support",
"version": "1.0.0",
"entryAgent": "support-agent",
"layers": [
"core",
"connections",
"workflows"
],
"requiredEnvVars": [
"CRM_BASE_URL"
]
},
"lockfile": {
"version": 2,
"layers": {
"core": "sha256:abc123...",
"connections": "sha256:def456..."
}
},
"downloadUrl": "https://api.example.com/v1/archives/exp_01JEXPORT123/download",
"expiresAt": "2026-09-01T10:00:14Z",
"warnings": [],
"errors": [],
"createdAt": "2026-09-01T09:00:00Z",
"completedAt": "2026-09-01T09:00:14Z"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"stage": "<string>",
"layer": "core",
"path": "<string>",
"line": 2,
"details": {}
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"stage": "<string>",
"layer": "core",
"path": "<string>",
"line": 2,
"details": {}
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"stage": "<string>",
"layer": "core",
"path": "<string>",
"line": 2,
"details": {}
}
}Get project export status
GET
/
v1
/
projects
/
{projectId}
/
export
/
{exportId}
Get project export status
curl --request GET \
--url https://{host}/v1/projects/{projectId}/export/{exportId} \
--header 'x-api-key: <api-key>'{
"success": true,
"data": {
"id": "exp_01JEXPORT123",
"type": "export",
"status": "completed",
"phase": "packaging",
"progressPercent": 100,
"dependencyValidation": {
"valid": true,
"missing": [],
"circular": []
},
"manifest": {
"name": "customer-support",
"version": "1.0.0",
"entryAgent": "support-agent",
"layers": [
"core",
"connections",
"workflows"
],
"requiredEnvVars": [
"CRM_BASE_URL"
]
},
"lockfile": {
"version": 2,
"layers": {
"core": "sha256:abc123...",
"connections": "sha256:def456..."
}
},
"downloadUrl": "https://api.example.com/v1/archives/exp_01JEXPORT123/download",
"expiresAt": "2026-09-01T10:00:14Z",
"warnings": [],
"errors": [],
"createdAt": "2026-09-01T09:00:00Z",
"completedAt": "2026-09-01T09:00:14Z"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"stage": "<string>",
"layer": "core",
"path": "<string>",
"line": 2,
"details": {}
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"stage": "<string>",
"layer": "core",
"path": "<string>",
"line": 2,
"details": {}
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"stage": "<string>",
"layer": "core",
"path": "<string>",
"line": 2,
"details": {}
}
}This endpoint gets the export status of a project.
Authorizations
Path Parameters
Response
Current export operation status and result metadata.
Was this page helpful?